# $Revision: 1.9 $, $Date: 2011/02/10 18:40:43 $
%include	/usr/lib/rpm/macros.java
#
%define		pkgname	netrexx
#
Summary:	NetRexx - programming language derived from both Rexx and Java
Summary(pl.UTF-8):	NetRexx - język programowania wywodzący się z języka Rexx i Javy
Name:		java-%{pkgname}
Version:	2.05
Release:	1
License:	IBM proprietary, distributable (see license.txt)
Group:		Development/Languages/Java
Source0:	http://www-306.ibm.com/software/awdtools/netrexx/NetRexx.zip
# Source0-md5:	07622f619758b83d593a127f4a2542f1
Patch0:		%{name}-classpath.patch
URL:		http://www2.hursley.ibm.com/netrexx/
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	jpackage-utils
Obsoletes:	netrexx
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc *.au *.class *.nrx *.txt *.zip

%description
NetRexx is a programming language derived from both Rexx and Java. It
is a dialect of Rexx that retains the portability and efficiency of
Java, while being as easy to learn and to use as Rexx.

%description -l pl.UTF-8
NetRexx to język programowania wywodzący się jednocześnie z języka
Rexx oraz Javy. Jest to dialekt języka Rexx zachowujący przenośność i
wydajność Javy, będący jednocześnie łatwy do nauczenia i używania tak
jak Rexx.

%package doc
Summary:	Manual for NetRexx
Summary(fr.UTF-8):	Documentation pour NetRexx
Summary(it.UTF-8):	Documentazione di NetRexx
Summary(pl.UTF-8):	Podręcznik do języka NetRexx
Group:		Documentation
Obsoletes:	netrexx-doc

%description doc
Documentation for NetRexx.

%description doc -l fr.UTF-8
Documentation pour NetRexx.

%description doc -l it.UTF-8
Documentazione di NetRexx.

%description doc -l pl.UTF-8
Dokumentacja do języka NetRexx.

%prep
%setup -q -n NetRexx
%patch0 -p1
find '(' -name '*.sh' -o -name 'nrc' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_bindir}}
install lib/NetRexxC.jar runlib/NetRexxR.jar $RPM_BUILD_ROOT%{_javadir}
install bin/{NetRexxC.sh,nrc} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc read.me.first
%attr(755,root,root) %{_bindir}/*
%{_javadir}/NetRexx*.jar

%files doc
%defattr(644,root,root,755)
%doc browse/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-netrexx.spec,v $
Revision 1.9  2011/02/10 18:40:43  qboosh
- -doc Obsoletes: netrexx-doc

Revision 1.8  2010/04/18 12:50:00  jajcus
- Obsoletes: netrexx

Revision 1.7  2010/04/18 12:45:07  jajcus
- netrexx renamed to java-netrexx

Revision 1.6  2007/12/12 19:13:14  glen
- unify java package; rel 2

Revision 1.5  2007-04-04 17:22:11  aredridel
- correct line endings
- add classpath so it actually runs

Revision 1.4  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.2  2005/05/22 21:21:53  twittner
- don't compress some doc files to avoid "dead links" in html documentation

Revision 1.1  2005/05/07 21:06:03  qboosh
- new
